Update 4.8 to 4.9 or secure

Mike Bristow mike at urgle.com
Sun Nov 23 13:13:24 GMT 2003


On Sun, Nov 23, 2003 at 12:55:10PM +0000, Henrik Morsing wrote:
> Thanks,
> It seems to me that I have a lot of work to do now, updating all the
> packages. Is there and easy way to tell which packages to update?

Yes.  Install sysutils/portupgrade, and run portversion.

This'll output one line for each package you have installed, together with
a symbol to indicate the version difference between the port and the installed
package.  Something like:

package-up-to-date	=
package-needs-updating	<

Then run 'portupgrade -rf package-needs-updateing other-package'
and the packages that you told it about will be updated, together
with every package that depends on them, in the right order, in the
way that causes least upset for a running system).

-- 
Good night little fishey-wishes....  I've counted you, so no 
sneaky eating each other.
	-- FW (should I worry?)





More information about the Ukfreebsd mailing list